Ignition Customer API V4

An API for Customer’s operations, base path is https://ignition.ticketek.com.au/customer

  • Version: v4

Get customer information

  • GET /customer

Request parameters

Name Type Required Description
CorrelationId – true A unique identifier value (in header) that is attached to requests and messages that allow reference to a particular transaction or event chain
Accept – true Set this to application/vnd.softix.api-v4+json. Specifies the versioned endpoint.
x-api-key – true Account specific API Key
Authorization – true OAuth token using the Bearer authentication scheme.
token – true The sign in token obtained via the /signIn/jwt API endpoint, padded with ‘==’ and base64 encoded. This identifies the customer to retrieve.

Response parameters

Name Type Required Description
customerId Integer false –
firstName String false –
lastName String false –
emailAddress String false –
phones Array<Phone> false –
userName String false –
addresses Array<Address> false –
optIns Array<OptIn> false –
  • Phone
Name Type Required Description
type String false –
number String false –
  • Address
Name Type Required Description
id Integer false –
type String false –
isPrimary Boolean false –
addressLine1 String false –
addressLine2 String false –
city String false –
state String false –
postcode String false –
country Country false –
  • OptIn
Name Type Required Description
id Integer false –
selected Boolean false –
  • country
Name Type Required Description
id String false –
name String false –

Create new customer

  • POST /customer

Request parameters

Name Type Required Description
CorrelationId – true A unique identifier value (in header) that is attached to requests and messages that allow reference to a particular transaction or event chain
Accept – true Set this to application/vnd.softix.api-v4+json. Specifies the versioned endpoint.
x-api-key – true Account specific API Key
Authorization – true OAuth token using the Bearer authentication scheme.

Response parameters

None

Edit customer information

  • PUT /customer

Request parameters

Name Type Required Description
CorrelationId – true A unique identifier value (in header) that is attached to requests and messages that allow reference to a particular transaction or event chain
Accept – true Set this to application/vnd.softix.api-v4+json. Specifies the versioned endpoint.
x-api-key – true Account specific API Key
Authorization – true OAuth token using the Bearer authentication scheme.
token – true The sign in token obtained via the /signIn/jwt API endpoint, padded with ‘==’ and base64 encoded. This identifies the customer to update.

Response parameters

None

Scroll to Top